Name:		liblsb
Version:	0.2.2
Release:	1%{?dist}
Summary:	Instrumentation library for performance modelling
License:	GPLv3+
URL:		https://spcl.inf.ethz.ch/Research/Performance/LibLSB/
Source0:	https://spcl.inf.ethz.ch/Research/Performance/LibLSB/%name-%version.tar.gz
BuildRequires:	openmpi-devel papi-devel

%description
LibSciBench is a framework developed to facilitate the adoption of
statistically sound measurements of parallel computations.  It
automates many of the guidelines and processes described in:
Scientific Benchmarking of Parallel Computing Systems presented in
Austin, TX, USA, pages 73:1--73:12, ACM, ISBN: 978-1-4503-3723-6,
Nov. 2015, Proceedings of the International Conference for High
Performance Computing, Networking, Storage and Analysis (SC15).

The main component of the framework is LibLSB, a performance
measurement library that can be linked to any application to either
measure execution times or it can be used as a building block for a
new benchmark suite.  The library seamlessly integrates with MPI and
OpenMP applications and can easily be extended to new models of
parallelism.

The datasets produced by LibLSB can be read directly with established
statistical tools such as GNU R.  LibSciBench is coupled with an R
script for the postprocessing of the gathered data.  It allows to
check for normality, compute CIs, perform ANOVA tests, and quantile
regression.  Furthermore, LibSciBench’s R script supports the
generation of Q-Q plots, box plots and violin plots.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%_openmpi_load
%configure --with-papi --with-mpi --enable-shared
make %{?_smp_mflags}


%install
%make_install
find %buildroot -name '*.la' -exec rm -f {} ';'
rm -r %buildroot%_libdir/include
mkdir -p %buildroot%_datadir/%name/R
# Not a proper R library; avoid huge sample data
cp -a R/*.R %buildroot%_datadir/%name/R
cp R/README README.R

%check
# Fails on PAPI in VM
# %_openmpi_load
# ln -s liblsb.a .libs/liblsb-0.2.a
# make -C tests tests


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%{_libdir}/*.so.*
%_datadir/%name

%files devel
%license COPYING
%doc NEWS AUTHORS USAGE README.R
%{_includedir}/*
%exclude %{_libdir}/*.a
%{_libdir}/*.so
%_libdir/pkgconfig/liblsb.pc


%changelog
* Sat Feb 10 2018  <loveshack@fedoraproject.org> - 0.2.2-1
- Initial packaging
